UserEventAvailableEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.event
Class UserEventAvailableEvent

    java.lang.Object
      java.util.EventObject
          org.davic.resources.ResourceStatusEvent
              org.dvb.event.UserEventAvailableEvent

All Implemented Interfaces:
  Serializable

    public class UserEventAvailableEvent

extends ResourceStatusEvent

This event is sent to the resource status event listeners when user input events which had been exclusively reserved by an application are no longer exclusively reserved. Where one change in user input event reservation results in instances of this event being sent to several applications, the following shall apply.

- Each application shall receive its own instance of the `UserEventRepository` object which forms the source to this event. Any changes made to that repository by any one application shall not impact the instance seen by any other application.
- Any application receiving an instance of this event is allowed to attempt to exclusively reserve some of the newly available user events. In this situation, the normal resource management policy of the platform as described elsewhere in the present document shall be obeyed.
- Any applications which have registered for shared access to any of these user events shall start receiving those events following receipt of this event.

Since:
  MHP 1.0.2
See Also:
  Serialized Form

Constructor Summary
`UserEventAvailableEvent(Object source)` Constructor for the event.

Method Summary
`Object` | `getSource()` Returns a `UserEventRepository` which contains the events which were formerly exclusively reserved as passed into the constructor of the instance.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserEventAvailableEvent

    public UserEventAvailableEvent(Object source)

  Constructor for the event.

  Parameters:
    `source` - a `UserEventRepository` which contains the events which stopped being exclusively reserved.
  Since:
    MHP 1.0.2

Method Detail

### getSource

    public Object getSource()

  Returns a `UserEventRepository` which contains the events which were formerly exclusively reserved as passed into the constructor of the instance.

  Overrides:
    `getSource` in class `ResourceStatusEvent`
  Returns:
    a `UserEventRepository`
  Since:
    MHP 1.0.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD